Name: powertweak
Summary: Tool to tweak your BIOS settings
Version: 0.1.16
Release: 3
Source: http://linux.powertweak.com/files/powertweak-%{version}.tar.bz2
Source1: powertweak.desktop
Group: Applications/System
URL: http://linux.powertweak.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: /usr
ExclusiveOS: Linux
ExclusiveArch: i386 i486 i586 i686

%package config
Summary: NCurses-Frontend for powertweak configuration
Group: Applications/System
Requires: %{name} = %{version}

%package config-X11
Summary: X11-Frontend for powertweak configuration
Group: Applications/System
Requires: %{name} = %{version}

%description
Powertweak is a tool that lets you set some parameters in your BIOS, so you
can tweak the system for better performance.
Don't use it unless you know what you're doing.

%description config
Powertweak-config is an NCurses based frontend for powertweak configuration.

%description config-X11
Powertweak-config-X11 is an X11/GTK+ based frontend for powertweak
configuration.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%configure
find . -name Makefile |xargs perl -pi -e "s,-Werror,,g"

%build
make OPT="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{prefix}/bin $RPM_BUILD_ROOT%{prefix}/sbin # Normal users really
	# shouldn't mess with the BIOS...
test -d $RPM_BUILD_ROOT/etc || mkdir -p $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/powertweak.config
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/System
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mv Documentation/powertweak.man $RPM_BUILD_ROOT%{_mandir}/man8/powertweak.8
gzip -9f $RPM_BUILD_ROOT/usr/share/man/man8/powertweak.8
						
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%post
if ! grep powertweak /etc/rc.d/rc.local &>/dev/null; then
	echo "/usr/sbin/powertweak" >>/etc/rc.d/rc.local
fi

%postun
grep -v powertweak /etc/rc.d/rc.local >/tmp/rclocal.tmp
mv -f /tmp/rclocal.tmp /etc/rc.d/rc.local

%files
%defattr(-,root,root,0755)
%{prefix}/sbin/powertweak
%{_mandir}/man8/powertweak.8*
%config(missingok,noreplace) /etc/powertweak.config

%files config
%defattr(-,root,root,0755)
%{prefix}/sbin/powertweakconfig

%files config-X11
%defattr(-,root,root,0755)
%{prefix}/sbin/gpowertweak
%config /etc/X11/applnk/System/powertweak.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build with gcc 2.96

* Sat Jun 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.1.16
- use %%{_mandir}

* Tue May 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.1.15
- enable build on i[456]86 arches
- move man page to /usr/share/man, where it belongs
- add a .desktop file for the config-X11 package
- automatically run powertweak at bootup when it's installed

* Fri Apr 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.1.13
- don't build on alpha - the new cpuid code is heavily x86-specific.

* Thu Apr 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.1.12

* Mon Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.1.7

* Sun Dec 26 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
